## kombu 5.4.2

=== Makefile ===
PROJ=kombu
PGPIDENT="Celery Security Team"
PYTHON=python
PYTEST=py.test
GIT=git
TOX=tox
ICONV=iconv
PYDOCSTYLE=pydocstyle
FLAKE8=flake8
FLAKEPLUS=flakeplus
SPHINX2RST=sphinx2rst

TESTDIR=t
SPHINX_DIR=docs/
SPHINX_BUILDDIR="${SPHINX_DIR}/_build"
README=README.rst
README_SRC="docs/templates/readme.txt"
CONTRIBUTING=CONTRIBUTING.rst
CONTRIBUTING_SRC="docs/contributing.rst"
SPHINX_HTMLDIR="${SPHINX_BUILDDIR}/html"
DOCUMENTATION=Documentation
FLAKEPLUSTARGET=2.7

all: help

help:
	@echo "docs                 - Build documentation."
	@echo "test-all             - Run tests for all supported python versions."
	@echo "distcheck ---------- - Check distribution for problems."
	@echo "  test               - Run unittests using current python."
	@echo "  lint ------------  - Check codebase for problems."
	@echo "    apicheck         - Check API reference coverage."
	@echo "    configcheck      - Check configuration reference coverage."
	@echo "    readmecheck      - Check README.rst encoding."
	@echo "    contribcheck     - Check CONTRIBUTING.rst encoding"
	@echo "    flakes --------  - Check code for syntax and style errors."
	@echo "      flakecheck     - Run flake8 on the source code."
	@echo "      flakepluscheck - Run flakeplus on the source code."
	@echo "      pep257check    - Run pep257 on the source code."
	@echo "readme               - Regenerate README.rst file."
	@echo "contrib              - Regenerate CONTRIBUTING.rst file"
	@echo "clean-dist --------- - Clean all distribution build artifacts."
	@echo "  clean-git-force    - Remove all uncomitted files."
	@echo "  clean ------------ - Non-destructive clean"
	@echo "    clean-pyc        - Remove .pyc/__pycache__ files"
	@echo "    clean-docs       - Remove documentation build artifacts."
	@echo "    clean-build      - Remove setup artifacts."
	@echo "bump                 - Bump patch version number."
	@echo "bump-minor           - Bump minor version number."
	@echo "bump-major           - Bump major version number."
	@echo "release              - Make PyPI release."

clean: clean-docs clean-pyc clean-build

clean-dist: clean clean-git-force

bump:
	bumpversion patch

bump-minor:
	bumpversion minor

bump-major:
	bumpversion major

release:
	python setup.py register sdist bdist_wheel upload --sign --identity="$(PGPIDENT)"

build-docs:
	(cd "$(SPHINX_DIR)"; $(MAKE) html)

Documentation:
	ln -sf "$(SPHINX_HTMLDIR)" $@

docs: build-docs Documentation

clean-docs:
	-rm -rf "$(SPHINX_BUILDDIR)"

lint: flakecheck apicheck configcheck readmecheck

apicheck:
	(cd "$(SPHINX_DIR)"; $(MAKE) apicheck)

configcheck:
	(cd "$(SPHINX_DIR)"; $(MAKE) configcheck)

flakecheck:
	$(FLAKE8) "$(PROJ)" "$(TESTDIR)"

flakediag:
	-$(MAKE) flakecheck

flakepluscheck:
	$(FLAKEPLUS) --$(FLAKEPLUSTARGET) "$(PROJ)" "$(TESTDIR)"

flakeplusdiag:
	-$(MAKE) flakepluscheck

pep257check:
	$(PYDOCSTYLE) "$(PROJ)"

flakes: flakediag flakeplusdiag pep257check

clean-readme:
	-rm -f $(README)

readmecheck:
	$(ICONV) -f ascii -t ascii $(README) >/dev/null

$(README):
	$(SPHINX2RST) "$(README_SRC)" --ascii > $@

readme: clean-readme $(README) readmecheck

clean-contrib:
	-rm -f "$(CONTRIBUTING)"

$(CONTRIBUTING):
	$(SPHINX2RST) "$(CONTRIBUTING_SRC)" > $@

contrib: clean-contrib $(CONTRIBUTING)

clean-pyc:
	-find . -type f -a \( -name "*.pyc" -o -name "*$$py.class" \) | xargs rm
	-find . -type d -name "__pycache__" | xargs rm -r

removepyc: clean-pyc

clean-build:
	rm -rf build/ dist/ .eggs/ *.egg-info/ .tox/ .coverage cover/

clean-git:
	$(GIT) clean -xdn

clean-git-force:
	$(GIT) clean -xdf

test-all: clean-pyc
	$(TOX)

test:
	$(PYTHON) setup.py test

cov:
	$(PYTEST) -x --cov=kombu --cov-report=html

build:
	$(PYTHON) setup.py sdist bdist_wheel

distcheck: lint test clean

dist: readme contrib clean-dist build

=== debian/changelog ===
kombu (5.4.2-3) unstable; urgency=medium

  * Team upload
  * Trim autopkgtest deps, avoid "@builddeps@"
  * Lintian has been fixed, remove overide for false match

 -- Alexandre Detiste <tchet@debian.org>  Mon, 17 Feb 2025 07:45:48 +0100

kombu (5.4.2-2) unstable; urgency=medium

  * Team upload
  * Replace pyro4 with pyro5

 -- Bastian Germann <bage@debian.org>  Mon, 02 Dec 2024 16:14:49 +0100

kombu (5.4.2-1) unstable; urgency=low

  * New upstream version 5.4.2
  * Bump Standards-Version to 4.7.0.
  * Use dh-sequence-python3.
  * Add linitan overrides for false-positive stdlib deprecation.

 -- Michael Fladischer <fladi@debian.org>  Tue, 24 Sep 2024 11:51:06 +0000

kombu (5.4.0-1) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-simplejson
  * New upstream version 5.4.0

 -- Alexandre Detiste <tchet@debian.org>  Sat, 31 Aug 2024 00:30:47 +0200

=== debian/control ===
Source: kombu
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
 Brian May <bam@debian.org>,
 Christopher Hoskin <mans0954@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Sergio Durigan Junior <sergiodj@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-amqp (>= 5.0.0) <!nocheck>,
 python3-azure <!nocheck>,
 python3-botocore <!nocheck>,
 python3-django <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-msgpack <!nocheck>,
 python3-pymongo <!nocheck>,
 python3-pyro5 <!nocheck>,
 python3-pytest <!nocheck>,
 python3-redis (>= 3.3.11) <!nocheck>,
 python3-sphinx-celery <!nodoc>,
 python3-sqlalchemy <!nocheck>,
 python3-tz <!nocheck>,
 python3-vine <!nocheck>,
 python3-yaml <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/celery/kombu/
Vcs-Git: https://salsa.debian.org/python-team/packages/kombu.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/kombu
Rules-Requires-Root: no

Package: python-kombu-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: AMQP Messaging Framework for Python (Documentation)
 The aim of Kombu is to make messaging in Python as easy as possible by
 providing an idiomatic high-level interface for the AMQP protocol. It is meant
 to replace the carrot library by providing a compatibility layer.
 .
 Features:
  * Allows application authors to support several message server solutions by
    using pluggable transports.
  * Supports automatic encoding, serialization and compression of message
    payloads.
  * The ability to ensure that an operation is performed by gracefully handling
    connection and channel errors.
 .
 This package contains the documentation.

Package: python3-kombu
Architecture: all
Depends:
 python3-amqp (>= 5.0.0),
 python3-vine,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-yaml,
Suggests:
 python-kombu-doc,
 python3-boto3,
 python3-django,
 python3-pymongo,
 python3-redis,
 python3-sqlalchemy,
Breaks:
 python3-celery (<< 5.0),
Description: AMQP Messaging Framework for Python (Python3 version)
 The aim of Kombu is to make messaging in Python as easy as possible by
 providing an idiomatic high-level interface for the AMQP protocol. It is meant
 to replace the carrot library by providing a compatibility layer.
 .
 Features:
  * Allows application authors to support several message server solutions by
    using pluggable transports.
  * Supports automatic encoding, serialization and compression of message
    payloads.
  * The ability to ensure that an operation is performed by gracefully handling
    connection and channel errors.

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-azure,
 python3-botocore,
 python3-hypothesis,
 python3-msgpack,
 python3-pymongo,
 python3-pyro5,
 python3-pytest,
 python3-redis,
 python3-sqlalchemy,
 python3-tz,
 python3-vine,
 python3-yaml,
 @,
Restrictions: allow-stderr

## kombu 5.5.3

=== debian/changelog ===
kombu (5.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Apr 2025 12:45:44 +0100

kombu (5.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.  Note that the dependencies needed to use Google
    Cloud Pub/Sub as a transport broker are not currently packaged in
    Debian.

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 Apr 2025 16:14:43 +0100

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
  python3-sphinx-celery <!nodoc>,
  python3-sqlalchemy <!nocheck>,
  python3-tz <!nocheck>,
+ python3-urllib3 <!nocheck>,
  python3-vine <!nocheck>,
  python3-yaml <!nocheck>,
 Standards-Version: 4.7.0

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=kombu
export PYBUILD_BEFORE_TEST=cp -r {dir}/t {dir}/setup.cfg {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/t {build_dir}/setup.cfg {build_dir}/.pytest_cache {build_dir}/control
export PYBUILD_TEST_ARGS=\
	--ignore t/unit/transport/test_gcpubsub.py \
	-k 'not test_getting_master_from_sentinel and not test_getting_master_from_sentinel_single_node'

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -d $(CURDIR)/docs/.build/.doctrees -N $(CURDIR)/docs $(CURDIR)/debian/python-kombu-doc/usr/share/doc/python-kombu-doc/html
endif

override_dh_compress:
	dh_compress -X .js -X .html

## kombu 5.5.4

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	@echo "readme               - Regenerate README.rst file."
 	@echo "contrib              - Regenerate CONTRIBUTING.rst file"
 	@echo "clean-dist --------- - Clean all distribution build artifacts."
-	@echo "  clean-git-force    - Remove all uncomitted files."
+	@echo "  clean-git-force    - Remove all uncommitted files."
 	@echo "  clean ------------ - Non-destructive clean"
 	@echo "    clean-pyc        - Remove .pyc/__pycache__ files"
 	@echo "    clean-docs       - Remove documentation build artifacts."
@@ -128,7 +128,7 @@
 removepyc: clean-pyc
 
 clean-build:
-	rm -rf build/ dist/ .eggs/ *.egg-info/ .tox/ .coverage cover/
+	rm -rf build/ dist/ .eggs/ *.egg-info/ .coverage cover/
 
 clean-git:
 	$(GIT) clean -xdn

=== debian/changelog ===
kombu (5.5.4-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patchet to support latest pymongo in unstable
  * Drop "Rules-Requires-Root: no": this is now the default
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 11 Oct 2025 21:13:09 +0200

kombu (5.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2025 13:45:44 +0100

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  python3-django <!nocheck>,
  python3-hypothesis <!nocheck>,
  python3-msgpack <!nocheck>,
+ python3-packaging <!nocheck>,
  python3-pymongo <!nocheck>,
  python3-pyro5 <!nocheck>,
  python3-pytest <!nocheck>,
@@ -31,11 +32,10 @@
  python3-urllib3 <!nocheck>,
  python3-vine <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/celery/kombu/
 Vcs-Git: https://salsa.debian.org/python-team/packages/kombu.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/kombu
-Rules-Requires-Root: no
 
 Package: python-kombu-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	-k 'not test_getting_master_from_sentinel and not test_getting_master_from_sentinel_single_node'
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 execute_before_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  python3-redis,
  python3-sqlalchemy,
  python3-tz,
+ python3-urllib3,
  python3-vine,
  python3-yaml,
  @,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg,filenamemangle=s/.*\/v([\d\.]+.*)$/kombu-$1/ \
https://github.com/celery/kombu/tags \
/celery/kombu/archive/refs/tags/v([\d\.]+)\.tar\.gz

## kombu 5.6.1

=== debian/changelog ===
kombu (5.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Dec 2025 16:06:44 +0000

kombu (5.5.4-3) unstable; urgency=medium

  * Team upload.
  * Drop unused python3-tz build-dependency

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Nov 2025 14:34:57 +0100

=== debian/tests/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  python3-pytest,
  python3-redis,
  python3-sqlalchemy,
- python3-tz,
  python3-urllib3,
  python3-vine,
  python3-yaml,

## kombu 5.6.2

=== debian/changelog ===
kombu (5.6.2-1) unstable; urgency=low

  * New upstream version 5.6.2
  * Refresh patches.
  * Bump Standards-Version to 4.7.3.
  * Update year in d/copyright.
  * Use uscan version 5.
  * Switch Testsuite to autopkgtest-pkg-pybuild.

 -- Michael Fladischer <fladi@debian.org>  Thu, 22 Jan 2026 20:05:41 +0000

=== debian/control ===
--- 
+++ 
@@ -28,14 +28,14 @@
  python3-redis (>= 3.3.11) <!nocheck>,
  python3-sphinx-celery <!nodoc>,
  python3-sqlalchemy <!nocheck>,
- python3-tz <!nocheck>,
  python3-urllib3 <!nocheck>,
  python3-vine <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/celery/kombu/
 Vcs-Git: https://salsa.debian.org/python-team/packages/kombu.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/kombu
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-kombu-doc
 Section: doc

=== debian/watch ===
version=5
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg,filenamemangle=s/.*\/v([\d\.]+.*)$/kombu-$1/ \
https://github.com/celery/kombu/tags \
/celery/kombu/archive/refs/tags/v([\d\.]+)\.tar\.gz
